PKGCTL-AUTH-LOGIN(1)

NOME
pkgctl-auth-login - Autentica na instância GitLab

SINOPSE

pkgctl auth login [OPÇÕES]

DESCRIÇÃO

Autentica interativamente na instância GitLab.

Os escopos mínimos exigidos para o token são: api, write_repository.

O token da API do GitLab pode ser armazenado em um arquivo de texto simples em $XDG_CONFIG_HOME/devtools/gitlab.conf ou fornecido por meio da variável de ambiente DEVTOOLS_GITLAB_TOKEN usando qualquer comando (gpg, vault, gerenciador de senhas) declarando um alias de shell:

    $ alias pkgctl='DEVTOOLS_GITLAB_TOKEN="$(comando para obter o token)" pkgctl'

OPÇÕES

-g, --gen-access-token
    Abre a URL para gerar um novo token de acesso pessoal

-h, --help
    Mostra um texto de ajuda.

VEJA TAMBÉM

pkgctl-auth-status(1)

SITE

Por favor, relate bugs e solicitações de recursos no rastreador de problemas. Por favor, faça o seu melhor para fornecer um caso de teste reproduzível para bugs.

TRADUÇÃO
A tradução para português brasileiro desta página man foi criada por Rafael Fontenelle <rafaelff@gnome.org>

Esta tradução é uma documentação livre; leia a Licença Pública Geral GNU Versão 3 (https://www.gnu.org/licenses/gpl-3.0.html) ou posterior para as condições de direitos autorais. Nenhuma responsabilidade é aceita.

Se você encontrar algum erro na tradução desta página de manual, envie um e-mail para a lista de discussão de tradutores (debian-l10n-portuguese@lists.debian.org).